Select a part of a spline (macro)

Hello

I'm looking for a way to select a piece of spline using a macro.

Let me explain: I interpolated 3 points with a spline and I would like to measure the length of the spline between the first and second point, then between the second and third.

The objective is to be able to evenly distribute points along the spline while concering the construction points of the latter.

Is this possible?  Because in the GUI I can only select the spline as a whole.

 

Thank you for your answers

 

 

Good evening

Can you put the spline in the post because there are several kinds... that way we'll see better....

Hello

Not sure it's possible.

Here is the macro bit in .txt

 


macro.txt

And a screenshot of the spline projected on the XY ZY XZ planes (from left to right)


spline.png

Finally I found a solution to my problem by splitting the spline.

Since I know the points through which the spline passes, I only have to split it at the desired points.

The command used is as follows:

boolstatus = swDoc.Extension.SelectByID2(...)

swPart = CType(swDoc,PartDoc)

swPart.SplitOpenSegment(X,Y,Z)

 

Thank you for your interest